#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		upstream_name	psqlodbc

#-----------------------------------------------------------------------------
Name		:	postgresql-odbc
Version		:	16.00.0000
Release		:	16.2.0.rel%{?dist}
Summary		:	PostgreSQL ODBC driver

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.postgresql.org/pub/odbc/versions/src/

Source0		:	%{upstream_name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	postgresql-server
BuildRequires	:	unixODBC-devel
BuildRequires	:	pkgconfig(libpq)

#-----------------------------------------------------------------------------
%description
This package includes the driver needed for applications
to access a PostgreSQL system via ODBC (Open Database
Connectivity).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root, -)
%doc readme.txt docs/README.txt
%license license.txt
%{_libdir}/%{upstream_name}*.so

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q -n %{upstream_name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--with-unixodbc					\
	--disable-dependency-tracking			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete


#-----------------------------------------------------------------------------
%changelog
